# Interface UtilityNetworkJson

Identifies the central object for utility network schema information to access utility-related functionality, such as tracing and querying associations. See https://developers.arcgis.com/web-map-specification/objects/utilityNetwork/.

interface UtilityNetworkJson {
id?: string;
title?: string;
traceConfigurations?: TraceConfigurationJson[];
url?: string;
}

#####
Index

### Properties

id?
title?
traceConfigurations?
url?

##
Properties

### `Optional` id

id?: string

A unique identifying string for the utility network.

### `Optional` title

title?: string

A user-friendly string title for the utility network that can be used in a table of contents.

### `Optional` traceConfigurations

traceConfigurations?: TraceConfigurationJson[]

An array of pre-configured trace configurations for quickly running common traces.

### `Optional` url

url?: string

A string value indicating the URL to the utility network layer.